const $target = (flag) => {
    if (!flag) {
        return $('#main').is(':visible') ? $('#main') : $('#other');
    } else {
        return $('#main').is(':visible') ? $('#other') : $('#main');
    }
};

$('.dropdown-item').click(function() {
    const val = $(this).text().trim();
    $(this).parent().parent().find('button').text(val);
});

$('#fade-btn').click(function() {

    let duration = $('#fade-duration').val();
    if (!duration) duration = 1000;
    $target().EnlivenTricks().fade({
        duration: duration
    });
});

$('#shake-btn').click(function() {

    let times = $('#shake-times').val();
    if (!times) times = 6;
    $target().EnlivenTricks().shake({
        times: times
    });
});

$('#blob-btn').click(function() {

    const text = ($target().hasClass('enliven-blob') ? '' : 'Hover me ! ☻');
    $target().children().find('.main-label').text(text);
    $target().EnlivenTricks().blob();
});

$('#swap-btn').click(function() {

    const isRevert = $('#swap-revert').prop('checked');
    const isVertical = $('#swap-vertical').prop('checked');
    $target().EnlivenTricks().swap({
        next: $target(true),
        revert: isRevert,
        vertical: isVertical
    });
});

$('#load-btn').click(function() {
    let color = $('#loader-color').val();
    if (!color) color = 'white';
    $($target().children()[0]).EnlivenTricks().load({
        appearance: $('#loader-dd').text(),
        color: color,
        delayHandler: 'infinite'
    });
});

$('#morph-btn').click(function() {
    
    const icon = $target().children().find('.morph-icon');
    if ($(icon).css('visibility') === 'hidden') {
        $(icon).css('visibility', 'visible');
    } else {
        $(icon).css('visibility', 'hidden');
    }
});

$('.morph-icon').click(function() {

    const currentMorphing = $(this).text().trim();
    const morphing = $('#morphing-dd').text().trim();
    let nextLabel = $('#morph-next').val().trim();
    if (!nextLabel) {
        nextLabel = 'check_circle_outline';
    }
    $('.morph-icon:visible').EnlivenTricks().morph({
        morphing: morphing,
        next: currentMorphing === 'backup' ? nextLabel : 'backup'
    })
});